<?php

declare(strict_types=1);

namespace CloudXM\SDK\Templates;

interface TemplateRendererInterface
{
    public function render(string $template, array $data = []): void;
    public function fetch(string $template, array $data = []): string;
    public function exists(string $template): bool;
    public function share(string $key, mixed $value): self;
}
